﻿
var includes = new Array();

function include(url) {
	var script = document.createElement('script');
	{
		script.setAttribute('type', 'text/javascript')
		script.setAttribute('src', url);

		includes.push(script);
	}
	document.getElementsByTagName('head').item(0).appendChild(script);
}

function includeCSS(url) {
	var v_css = document.createElement('link');
	v_css.rel = 'stylesheet'
	v_css.type = 'text/css';
	v_css.href = url;

	includes.push(v_css);

	var links = document.getElementsByTagName("link");
	if (links.length > 0) {
		document.getElementsByTagName('head').item(0).insertBefore(v_css, links.item(0));
		return;
	}

	var scripts = document.getElementsByTagName("script");
	if (scripts.length > 0) {
		document.getElementsByTagName('head').item(0).insertBefore(v_css, scripts.item(0));
		return;
	}

	document.getElementsByTagName('head').item(0).appendChild(v_css);
}

function ResetState() {
	if (!includes)
		return;

	for (var i = 0; i < includes.length; i++) {
		includes[i].parentNode.removeChild(includes[i]);
	}

	includes = null;
}

function isSupportContentEditing() {
	return true;
}

var initialPageMode = "view";

function enableContentEditing(mode) {
    console.log("enableContentEditing started");
    initialPageMode = mode;
	include("../../JS/mobilenoter.js");
	console.log("enableContentEditing finished");
}

function initGlobal() {
    Global.InitState();
    Global.InitContent();
    Global.InitHandlers();
}

function enterEditing() {
    Global.getIPhoneController().SetPageMode('edit');
    edit.log("entered editing mode");
}

function CoefPixel2Point() {
	return 100 / parseFloat(document.getElementById("gaugePoint").offsetWidth);
}

function body_onload() {
	document.getElementById("oneSheet").style.width = document.width + "px";
	document.getElementById("oneSheet").style.height = document.height + "px";

	// wrap p text childs with span
	var pNodes = document.getElementsByTagName("P");
	var pChilds;
	var span;
	var text;
	for (var i = 0; i < pNodes.length; i++) {
		pChilds = pNodes[i].childNodes;

		for (var j = 0; j < pChilds.length; j++) {
			if (pChilds[j].nodeType != 3)
				continue;

			span = document.createElement("span");
			text = pChilds[j];

			pNodes[i].replaceChild(span, text);
			span.appendChild(text);
		}
	}

	window.scrollTo(
		document.getElementById("oneBody").offsetLeft
		, document.getElementById("oneBody").offsetTop);

	console.log("onLoad finished");
}

var commandsToApply = null;

function applyCommands(commands)
{
    commandsToApply = commands;
    enableContentEditing("view");
}
